Bug 99424 - Security update to kernel 2.4.20 fails to automatically load visor module
Security update to kernel 2.4.20 fails to automatically load visor module
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-18 19:02 EDT by Dan Hensley
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Hensley 2003-07-18 19:02:51 EDT
Description of problem:

When I updated my kernel to 2.4.20 (all updates so far), my Sony Clie failed to
be recognized.  It worked fine with all 2.4.18 updates.  I recently discovered
that this was because the module 'visor' was not being loaded.  The kernel
update via up2date needs to also update /etc/modules.conf to include this module
for functionality to return to what it was with the older kernels.


How reproducible:
100%

Steps to Reproduce:
1.  Install RH8.
2.  Update to current kernel security update (2.4.20-18.8)
Comment 1 Pete Zaitcev 2003-07-28 16:03:52 EDT
So, what's the working and non-working modules.conf?
Comment 2 Dan Hensley 2003-07-28 16:11:06 EDT
I'm not sure what to add to modules.conf, since all of the things I tried with
that file failed.  The solution that worked for me was to add

modprobe visor

to my /etc/rc.d/rc.local file.  I'm sure there is a better solution.
Comment 3 Pete Zaitcev 2003-07-31 23:19:32 EDT
Please do "grep visor /lib/modules/2.4.18-*/modules.usbmap" and
"grep visor /lib/modules/2.4.20-18.8/modules.usbmap", and attache the
result for me look at. I suspect that something forgot to re-run depmod,
or other such thing. Also, please attach /proc/bus/usb/devices,
just so that we know the particular Clie ID numbers.
Comment 4 Dan Hensley 2003-08-01 00:22:43 EDT
Here's the output from "grep visor /lib/modules/2.4.18-*/modules.usbmap"
(2.4.18-27):

visor                0x0003      0x082d   0x0100    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0001    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0002    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0003    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0040    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0050    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0020    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x054c   0x0038    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x054c   0x0066    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x054c   0x0095    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x054c   0x009a    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000

Here's the output from "grep visor /lib/modules/2.4.20-18.8/modules.usbmap"

visor                0x0003      0x082d   0x0100    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x082d   0x0200    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0001    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0002    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0003    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0020    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0080    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0040    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0050    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0060    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0031    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x0830   0x0070    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x054c   0x0038    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x054c   0x0066    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x054c   0x0095    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x054c   0x009a    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x054c   0x00da    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x054c   0x00e9    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000
visor                0x0003      0x04e8   0x8001    0x0000       0x0000      
0x00         0x00            0x00            0x00
       0x00               0x00               0x00000000

And last but not least, /proc/bus/usb/devices:

T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI Root Hub
S:  SerialNumber=d800
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=02 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.01 Cls=ff(vend.) Sub=ff Prot=ff MxPS= 8 #Cfgs=  1
P:  Vendor=0545 ProdID=800c Rev= 3.0a
S:  Product=USB IMAGING DEVICE
C:* #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=ff(vend.) Sub=ff Prot=ff Driver=ibmcam
E:  Ad=81(I) Atr=01(Isoc) MxPS=   0 Ivl=1ms
I:  If#= 0 Alt= 1 #EPs= 1 Cls=ff(vend.) Sub=ff Prot=ff Driver=ibmcam
E:  Ad=81(I) Atr=01(Isoc) MxPS=1022 Ivl=1ms
I:  If#= 1 Alt= 0 #EPs= 1 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=82(I) Atr=02(Bulk) MxPS=   0 Ivl=0ms
I:  If#= 1 Alt= 1 #EPs= 1 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=82(I) Atr=02(Bulk) MxPS=1022 Ivl=0ms
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI Root Hub
S:  SerialNumber=d400
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=04b8 ProdID=0005 Rev= 1.00
S:  Manufacturer=EPSON
S:  Product=USB Printer
S:  SerialNumber=L58010106290011590
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  2mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=07(print) Sub=01 Prot=02 Driver=usblp
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms

Strangely enough, I don't see my Clie listed, but I just verified that it syncs
with Jpilot.  ???


Comment 5 Dan Hensley 2003-08-10 20:21:54 EDT
Ok, now I managed to get my Clie listing from /proc/bus/usb/devices:

T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI Root Hub
S:  SerialNumber=d800
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=02 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.01 Cls=ff(vend.) Sub=ff Prot=ff MxPS= 8 #Cfgs=  1
P:  Vendor=0545 ProdID=800c Rev= 3.0a
S:  Product=USB IMAGING DEVICE
C:* #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=81(I) Atr=01(Isoc) MxPS=   0 Ivl=1ms
I:  If#= 0 Alt= 1 #EPs= 1 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=81(I) Atr=01(Isoc) MxPS=1022 Ivl=1ms
I:  If#= 1 Alt= 0 #EPs= 1 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=82(I) Atr=02(Bulk) MxPS=   0 Ivl=0ms
I:  If#= 1 Alt= 1 #EPs= 1 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
E:  Ad=82(I) Atr=02(Bulk) MxPS=1022 Ivl=0ms
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI Root Hub
S:  SerialNumber=d400
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  4 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=16 #Cfgs=  1
P:  Vendor=054c ProdID=0066 Rev= 1.00
S:  Manufacturer=Palm, Inc.
S:  Product=Palm Handheld
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  2mA
I:  If#= 0 Alt= 0 #EPs= 4 Cls=ff(vend.) Sub=00 Prot=00 Driver=serial
E:  Ad=81(I) Atr=02(Bulk) MxPS=  16 Ivl=0ms
E:  Ad=01(O) Atr=02(Bulk) MxPS=  16 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=04b8 ProdID=0005 Rev= 1.00
S:  Manufacturer=EPSON
S:  Product=USB Printer
S:  SerialNumber=L58010106290011590
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  2mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=07(print) Sub=01 Prot=02 Driver=usblp
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
Comment 6 Pete Zaitcev 2004-08-19 19:27:38 EDT
Does FC2 work?
Comment 7 Dan Hensley 2004-08-23 00:38:35 EDT
I have not had a chance to try FC2 yet, so I don't know.  I don't
think I'll have time to install FC2 or newer for a while--probably a
few months.  Meanwhile, I am able to sync my Clie.
Comment 8 Pete Zaitcev 2004-08-23 00:50:36 EDT
Dan, I cannot do anything about 2.4.20.
Next best thing I can offer is FC1.
Comment 9 Bugzilla owner 2004-09-30 11:41:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.